// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function r=CreateCheckBoxRow(parent,x,y,rowLabel,initial,w)
  r=[];
  n=size(initial,'*')
  if size(w,'*')<>n+1 then
    error(msprintf(_("%s: incorrect dimension for last argument"),"CreateCheckBoxRow"))
  end
  Fl=uicontrol( ...
      "parent"              , parent,...
      "style"               , "frame",...
      "units"               , "pixels",...
      "position"            , [x y frame_w frame_h],....
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  y1=label_h/3;
  x=0;
  uicontrol( ...
      "parent"              , Fl,...
      "style"               , "text",...
      "string"              , rowLabel,...
      "units"               , "pixels",...
      "position"            , [x y1 w(1) label_h],...
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "foreground"          , [1 1 1]*0, ...
      "visible"             , "on");
  
  for k=1:n
    //TBD add a callback on the first column to activate the apply button
    x=x+margin_x+w(k);
    if initial(k)<0 then
      enable="off"
      visible="off"
      initial(k)=0;
    else
      enable="on"
      visible="on"
    end
    r=[r uicontrol( ...
        "parent"              , Fl,...
        "style"               , "checkbox",...
        "units"               , "pixels",...
        "position"            , [x y1 label_h label_h],....
        "horizontalalignment" , "left", ...
        "Min"                 , 0,...
        "Max"                 , 1,...
        "Value"               , initial(k),...
        "background"          , [1 1 1]*0.8, ...
        "Enable"              , enable,...
        "visible"             , visible)];
  end
endfunction
