// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function CreateRowLabels(parent,x,y,width,labels)
  n=size(labels,'*')
  Frame=uicontrol( ...
      "parent"              , parent,...
      "style"               , "frame",...
      "units"               , "pixels",...
      "position"            , [x y frame_w frame_h],....
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  y1=label_h/3;
  for k=1:n
    uicontrol( ...
        "parent"              , Frame,...
        "style"               , "text",...
        "string"              , labels(k),...
        "units"               , "pixels",...
        "position"            , [x y1 width(k) label_h],....
        "fontname"            , defaultfont,...
        "fontunits"           , "points",...
        "fontsize"            , 12,...
        "horizontalalignment" , "left", ...
        "fontweight"          , "bold", ...
        "background"          , [1 1 1]*0.8, ...
        "foreground"          , [1 1 1]*0, ...
        "visible"             , "on");
    x=x+width(k)+margin_x;
  end
endfunction
