// This file is part of the CardioVascular toolbox
// Copyright (C)  - INRIA - Alessandro Monti
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [tn,xn]=ResampleRR(x,varargin)
  //Resamples the discrete signal (t(k),x(k)) using step as the step size
  //and cubic spline interpolation
  if type(x)<>1|~isreal(x)|and(size(x)>1) then 
    error(msprintf(_("%s: Wrong type for argument %d: Real vector expected.\n"),"ResampleRR",1))
  end
  sz=size(x); x=x(:);
  t=matrix([0;cumsum(x(1:$-1))],size(x))
  [tn,xn]=Resample(t,x,varargin(:))
endfunction
