function x = diff1(x, fs, tf)
//DIFF1: signal first order differentiation by FFT
  if argn(2)<3  then
    tf = 'tt';
  elseif and(tf<>["tt","tf","ft","ff"]) then
    error(msprintf(_("%s: Wrong value for input argument #%d: Must be in the set {%s}.\n"),"diff1",3,["tt","tf","ft","ff"]))
  end


  N = length(x);

  if part(tf,1)=='t'  then
    x = fft(x-mean(x));
  end


  if modulo(N,2)==0
    n1 = N/2;
    x = x .* ([0:n1-1 n1:-1:1]'*(2*%pi*fs/N)) *%i;
  else
    n1 = (N-1)/2;
    x = x .* ([0:n1 n1:-1:1]'*(2*%pi*fs/N)) *%i;
  end

  if part(tf,2)=='t' then
    //x = -ifft(x, 'symmetric');
    x=-real(ifft(x))
  end

endfunction
