function locplot(s, fs, loc1, loc2, loc3)
//LOCPLOT location plot: plot a signal with time location marks 
//LOCPLOT(S, FS, LOC) with the signal S vector S, sampling frequency FS 
//and vector of locations LOC
//LOCPLOT(S, FS, LOC1, LOC2, LOC3) for up to 3 different types of location
//markers, corresponding to red solid lines, dashed blue lines and dotted
//green line
//
// Author: Qinghua Zhang
// Copyright 2005 INRIA
  nin = argn(2)
  if nin<3  then
    error(msprintf(_("%s: Wrong number of input argument: At least %d expected.\n"),"locplot",3))
  end

  s = s(:);
  loc1 = loc1(:);
  xv = (1:length(s))'/fs;

  a=gca();if a.children<>[] then delete(a.children);end
  plot(xv,s, '-k');

  ym =a.data_bounds(:,2)';
  loc1 = loc1(:);
  plot(loc1(:, [1 1])'/fs, ym(ones(length(loc1),1),:)','-b')

  if nin>3
    loc2 = loc2(:);
    plot(loc2(:, [1 1])'/fs, ym(ones(length(loc2),1),:)','--r')
  end

  if nin>4
    loc3 = loc3(:);
    plot(loc3(:, [1 1])'/fs, ym(ones(length(loc3),1),:)',':g')
  end
  a.data_bounds(:,1)=[xv(1);xv($)];
endfunction
