function y = rectsmooth(x, n)
//RECTSMOOTH  Rectangular window smoother
// x is a column vector.
// If n is an even number, add 1 to make it odd.
  n = n + 1 - modulo(n,2);


  if and(size(x)<>1) then
    error(msprintf(_("%s: Wrong size for input argument #%d: A vector expected.\n"),"rectsmooth",1))
  end
  N=size(x,'*');
  x=matrix(x,1,-1);
  // Case of too short N
  if N<n
    n = N + 1 - modulo(N,2);
  end


  sel= 1:2:((n+1)/2-1)*2;
  
  xsl = cumsum(x(1:n-2));
  xsr = cumsum(x(N:-1:N-n+3));
  num=poly(ones(1,n)/n,'z','c');
  den=poly([zeros(1,n-1),1],'x','c');
  y = rtitr(num,den, x);
  y = [xsl(sel)./sel, y(n:N), fliplr(xsr(sel)./sel)];
  y=matrix(y,-1,1)
endfunction
